#ifndef __OLED_H
#define __OLED_H 

#include "sys.h"
#include "stdlib.h"	

//-----------------OLED˿ڶ---------------- 
#define OLED_SCL_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_0)//SCL
#define OLED_SCL_Set() GPIO_SetBits(GPIOA,GPIO_Pin_0)

#define OLED_SDA_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_1)//SDA
#define OLED_SDA_Set() GPIO_SetBits(GPIOA,GPIO_Pin_1)

#define OLED_RES_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_2)//RES
#define OLED_RES_Set() GPIO_SetBits(GPIOA,GPIO_Pin_2)





void OLED_Clear(void);
void OLED_Display_Turn(u8 dat);
void OLED_Display_ON(u8 dat);
void OLED_Display_Shift(u8 dat);
void OLED_CGRAM_Address(u8 CGaddr);
void OLED_DDRAM_Address(u8 x,u8 y);

void OLED_Display_Custom(u8 x,u8 y,u8 CGaddr,u8 symbol[]);
void OLED_ShowChar(u8 x,u8 y,u8 chr);
void OLED_ShowString(u8 x,u8 y,u8 *str);
void OLED_ShowIntNum(u8 x,u8 y,u32 num,u8 len);
void OLED_ShowFloatNum(u8 x,u8 y,float num,u8 len,u8 pre);
void OLED_Display_Cursor(u8 x,u8 y,u8 mode,u8 dat);
void OLED_Init(void);

#endif

