//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM2002-2
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : US2066
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103C8T6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PA0
// SDA    PA1
// RES    PA2
// CS     PA4




#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "oled_Custom.h"


int main()
{
  u16 i=0,a=0;
	delay_init();	
	OLED_Init();
	OLED_ShowString(1,0,"www.buydisplay.com");
	OLED_ShowString(0,1,"EastrisingTechnology");
	while(1)
	{	
   //αʾ
	 OLED_Display_Cursor(i,a,0,1);
	 i++;
	 if(i==0x14&&(a==0))
	 {
		 i=0;
		 a+=1;
	 }
   if(i==0x14&&a==1)
	 {
		 i=0;
		 a=0;
	 }
	 	 delay_ms(100);
	}
}
